---
title: Create
url: https://www.tines.com/docs/api/cases/metadata/create/
updated: 2024-04-19T11:53:38+00:00
description: Create new metadata key-value pairs for a specified case. If other metadata key-value pairs already exist on the case, this does not overwrite the existing values.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Metadata](https://www.tines.com/llm/docs/api/cases/metadata.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/metadata/create/)*

## Description

Create new metadata key-value pairs for a specified case. If other metadata key-value pairs already exist on the case, this does not overwrite the existing values.

## Request

HTTP Method: **POST**

| Parameter | Description                                           |
| --------- | ----------------------------------------------------- |
| metadata  | Case related metadata represented as key-value pairs. |

| Path Parameter | Description         |
| -------------- | ------------------- |
| case_id        | The ID of the case. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/metadata \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "metadata": {
          "new_key": "value"
        }
      }'
```

## Response

A successful request will return a JSON object describing the updated metadata.

### Field description

| Parameter | Description                                           |
| --------- | ----------------------------------------------------- |
| case_id   | The ID of the case.                                   |
| metadata  | Case related metadata represented as key-value pairs. |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "metadata": {
    "new_key": "new value"
  }
}
```

<!-- cspell:enable -->
